Bug 1526 - Backup Utility windows 2003, access to this device or folder has been denied.
Backup Utility windows 2003, access to this device or folder has been denied.
Status: RESOLVED DUPLICATE of bug 1404
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.4
x86 Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
: 1563 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-14 03:18 UTC by Fredrik Johansson
Modified: 2004-07-29 05:52 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fredrik Johansson 2004-07-14 03:18:24 UTC
Hi

This bug makes it impossible to use the backupadmin that comes with windows 2003
to backup files from samba shares.
When you use explorer and browses files on a share like \\samba\someshare it
works fine, and when you use "net use" to bind it to a sharename, like S:
browsing also works. 

The problem starts when you want to select a share to backup in "Backup
Utility". When you select (for instance) S: you get a dialog with "access to
this device or folder has been denied.". No more, no less.

I've read in the mailinglist and learned that other people is experiencing the
same problem, but people doesn't seem to have resolved it yet. I've read that
using UNC paths in "Backup Utility" would work, but I haven't managed to that
myself.

This is the only output I get with loglevel 3 (when I click on the share in
backup utility)::
[2004/07/14 12:17:19, 3] smbd/process.c:process_smb(890)
  Transaction 16 of length 92
[2004/07/14 12:17:19, 3] smbd/process.c:switch_message(685)
  switch message SMBntcreateX (pid 7877)
[2004/07/14 12:17:19, 3] smbd/open.c:open_directory(1356)
  open_directory: unable to stat name = .. Error was Success
[2004/07/14 12:17:19, 3] smbd/error.c:error_packet(118)
  error packet at smbd/trans2.c(2222) cmd=162 (SMBntcreateX) NT_STATUS_ACCESS_DENIED


I'm running a compiled version of samba 3.0.4 on an debian (stable). Erlier
versions of samba (as of 2.x branch) has worked with no problem. I have also
tried to use "Backup Utility" on my debian unstable with the samba-3.0.4 package
but I am experiencing the same problem there.

Thank you for your hard work!

-F
Comment 1 Guenther Deschner 2004-07-14 03:39:18 UTC
This is fixed in 3.0.5rc1. Could you please check and report back?
Comment 2 Alexander Keusch 2004-07-28 10:22:28 UTC
i have the same problem with debian sarge.

it has appeard with 3.0.4, today 3.0.5 went into sarge, i've made a update, but
i still have the same problem.
Comment 3 Guenther Deschner 2004-07-28 16:42:49 UTC
*** Bug 1563 has been marked as a duplicate of this bug. ***
Comment 4 Guenther Deschner 2004-07-28 16:50:30 UTC
Yes, 3.0.5 is technically just 3.0.4 + 2 security fixes. Thus you won't benefit
from the fix which is part of 3.0.5rc1, but not of 3.0.5. I know, this is confusing.

Have you actually tried 3.0.5rc1, if not: could you give 3.0.5rc1 a try ?
Comment 5 Fredrik Johansson 2004-07-29 00:27:05 UTC
I've tried compiling 3.0.5rc1, and there everything works just as it should (for
me anyway, (smbfs and quota).(In reply to comment #4)

> Yes, 3.0.5 is technically just 3.0.4 + 2 security fixes. Thus you won't benefit
> from the fix which is part of 3.0.5rc1, but not of 3.0.5. I know, this is
confusing.
> 
> Have you actually tried 3.0.5rc1, if not: could you give 3.0.5rc1 a try ?
Comment 6 Björn Jacke 2004-07-29 05:52:33 UTC

*** This bug has been marked as a duplicate of 1404 ***